### Method

# Gio SocketClient get_protocol

since: 2.22

#### Declaration

    GSocketProtocol
    g_socket_client_get_protocol (
      GSocketClient* client
    )

#### Description

Gets the protocol name type of the socket client.

See `g_socket_client_set_protocol()` for details.

Available since: 2.22

Gets property | `Gio.SocketClient:protocol`

#### Return value

Type: `GSocketProtocol`

A `GSocketProtocol`.